import localFont from "next/font/local";

export const timesNowFont = localFont({
    src: [
        {
            path: "../../public/fonts/TimesNow-ExtraLight.woff2",
            weight: "200",
            style: "normal",
        },
        {
            path: "../../public/fonts/TimesNow-ExtraLightItalic.woff2",
            weight: "200",
            style: "italic",
        },
        {
            path: "../../public/fonts/TimesNow-Light.woff2",
            weight: "300",
            style: "normal",
        },
        {
            path: "../../public/fonts/TimesNow-LightItalic.woff2",
            weight: "300",
            style: "italic",
        },
        {
            path: "../../public/fonts/TimesNow-SemiLight.woff2",
            weight: "350",
            style: "normal",
        },
        {
            path: "../../public/fonts/TimesNow-SemiLightItalic.woff2",
            weight: "350",
            style: "italic",
        },
        {
            path: "../../public/fonts/TimesNow-SemiBold.woff2",
            weight: "600",
            style: "normal",
        },
        {
            path: "../../public/fonts/TimesNow-SemiBoldItalic.woff2",
            weight: "600",
            style: "italic",
        },
        {
            path: "../../public/fonts/TimesNow-Bold.woff2",
            weight: "700",
            style: "normal",
        },
        {
            path: "../../public/fonts/TimesNow-BoldItalic.woff2",
            weight: "700",
            style: "italic",
        },
        {
            path: "../../public/fonts/TimesNow-ExtraBold.woff2",
            weight: "800",
            style: "normal",
        },
        {
            path: "../../public/fonts/TimesNow-ExtraBoldItalic.woff2",
            weight: "800",
            style: "italic",
        },
    ],
    variable: "--font-times-now",
    display: "swap",
});

export const fkGroteskMonoFont = localFont({
    src: [
        {
            path: "../../public/fonts/FKGroteskMono-Regular.woff2",
            weight: "400",
            style: "normal",
        },
        {
            path: "../../public/fonts/FKGroteskMono-Medium.woff2",
            weight: "500",
            style: "normal",
        },
    ],
    variable: "--font-fk-grotesk-mono",
    display: "swap",
});

export const ppMondwestFont = localFont({
    src: [
        {
            path: "../../public/fonts/PPMondwest-Regular.woff2",
            weight: "400",
            style: "normal",
        },
    ],
    variable: "--font-pp-mondwest",
    display: "swap",
});
