import { Header } from "@/components/ui/header";
import { Hero } from "@/components/hero";
import { Features } from "@/components/features";
import { Tokenomics } from "@/components/tokenomics";
import { Mission } from "@/components/mission";
import { CTA } from "@/components/cta";
import { Footer } from "@/components/ui/footer";

export default function Home() {
    return (
        <>
            <Header />
            <Hero />
            <Features />
            <Tokenomics />
            <Mission />
            <CTA />
            <Footer />
        </>
    );
}
