import Link from "next/link";

export function Logo({ width = "w-28" }: { width?: string }) {
    return (
        <Link href="/" className="flex items-end space-x-2">
            <img src="/images/logo.svg" alt="Logo" className={width} />
        </Link>
    );
}
