export function Mission() {
    return (
        <section id="mission" className="relative pb-10 pt-20 bg-[#101014]">
            <div className="container mx-auto px-4">
                <div className="mb-12 space-y-5">
                    <h2 className="text-sm text-center text-[#5e51ec] font-fk-grotesk-mono" data-aos="fade-up">
                        [ MISSION ]
                    </h2>
                    <p className="text-center text-4xl font-semi-light max-w-4xl mx-auto" data-aos="fade-up">
                        At Artiv8, our mission is to push the boundaries of AI by providing a framework that simplifies
                        the orchestration of multiple agents. We aim to empower developers to build scalable and
                        intelligent applications that can tackle complex tasks efficiently.
                    </p>
                </div>
            </div>
            <img
                src="/images/3d-mission.webp"
                alt="3D"
                className="absolute z-50 -top-[70px] left-6 w-[240px]"
                data-aos="fade-up"
            />
        </section>
    );
}
