/** @type {import('tailwindcss').Config} */
module.exports = {
    content: ["./app/**/*.{js,ts,jsx,tsx}", "./pages/**/*.{js,ts,jsx,tsx}", "./components/**/*.{js,ts,jsx,tsx}"],
    theme: {
        extend: {
            fontFamily: {
                "times-now": ["var(--font-times-now)"],
                "fk-grotesk-mono": ["var(--font-fk-grotesk-mono)"],
                "pp-mondwest": ["var(--font-pp-mondwest)"],
            },
            fontWeight: {
                "semi-light": "350",
            },
        },
    },
    plugins: [require("@tailwindcss/forms"), require("@tailwindcss/typography"), require("@headlessui/tailwindcss")],
};
